Download it now!
Bug 34226 - Calc, Drawing borders with Frame drop down in Format menu - bug in EDITING
Summary: Calc, Drawing borders with Frame drop down in Format menu - bug in EDITING
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.1 RC1
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Cédric Bosdonnat
URL:
Whiteboard:
Keywords:
: 34329 (view as bug list)
Depends on:
Blocks: 32894
  Show dependency treegraph
 
Reported: 2011-02-13 02:31 UTC by Dietmar
Modified: 2011-02-16 06:13 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the Menu Item (55.16 KB, image/png)
2011-02-13 08:38 UTC, Dietmar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dietmar 2011-02-13 02:31:04 UTC
There is a bug when using the Frame (de: "Umrandung") drop down menu from the "Format" menu in calc.

Select a group of cells (e.g. 3x5).
Select e.g. the left side border in the "Umrandung" menu.
Nothing is drawn.

It works only if you draw an entire square around the cells.
Comment 1 Cor Nouws 2011-02-13 05:24:45 UTC
Hi,
Can you pls explain which menu entry you mean exactly?
There is no border (Umdandung) or something like that in the menu Format.
thanks - Cor
Comment 2 Dietmar 2011-02-13 08:38:38 UTC
Created attachment 43318 [details]
Screenshot of the Menu Item

I thought it was difficult to explain, so here is the screen shot. The mousepointer points to the drop down menu.
Comment 3 vitriol 2011-02-13 08:54:39 UTC
This bug is LibO specific. It works fine in OOo 3.3
Comment 4 Cor Nouws 2011-02-13 09:41:17 UTC
(In reply to comment #2)
> Created an attachment (id=43318) [details]
> Screenshot of the Menu Item

Thanks Dietmar.
This is not the 'Menu' but the Formatting Tool bar 
Never mind ;-)

It definitely works OK in LO 3.3.0. I tried that menu already before.
I haven't installed 3.3.1 yet. So cannot confirm.
Comment 5 Dietmar 2011-02-13 09:53:41 UTC
I checked in Debian Squeeze (Go-oo) Openoffice.org 3.2.1, where it also works.
So the bug could have been introduced with fixing the borderline issue in the api.

Please someone countercheck with 3.3.1.

   Dietmar
Comment 6 vitriol 2011-02-13 09:58:24 UTC
It works in LibO 3.3.= final. Broken in 3.3.1 RC1
Comment 7 vitriol 2011-02-13 10:02:00 UTC
I have nominate it as stopper for 3.3.1
Comment 8 Michael Meeks 2011-02-14 02:00:43 UTC
Kohei / Cedric - any thoughts ? :-) it'd be nice to have a fix today if possible.
Comment 9 Kohei Yoshida 2011-02-14 05:56:13 UTC
When I set the border from the cell format dialog it works fine.  But setting a single border from the pop-up is utterly broken.
Comment 10 Cédric Bosdonnat 2011-02-14 06:34:42 UTC
Taking it: borders are my area
Comment 11 Cédric Bosdonnat 2011-02-15 02:08:14 UTC
Fixed in master branch by this commit:
http://cgit.freedesktop.org/libreoffice/libs-core/commit/?id=4da3c4b2874fba5451d391a13e8443d451712bbe

Review requested for 3.3 and 3.3.1 branches.
Comment 12 Cédric Bosdonnat 2011-02-15 02:22:02 UTC
To help the review process, the fixed commit is the following one:
http://cgit.freedesktop.org/libreoffice/libs-core/commit/?h=libreoffice-3-3-1&id=3792811e4a4fbef556c9a4d3abcb17ad246e0576
Comment 13 Michael Meeks 2011-02-15 02:24:45 UTC
Approved for libreoffice-3-3 and 3.3.1 - the original code change (which contains the error) ie. we should only be bailing out on failed co-ercion from the Any, not if the border is not set ;-) which this code changes fixes is:

http://cgit.freedesktop.org/libreoffice/libs-core/commit/?h=libreoffice-3-3-1&id=3792811e4a4fbef556c9a4d3abcb17ad246e0576

Thanks Cedric ! :-)
Comment 14 Caolán McNamara 2011-02-15 02:36:42 UTC
Looks sane, go for it IMO.
Comment 15 David Tardon 2011-02-15 03:26:40 UTC
I think I did it that way originally, then "optimized" it ;) I see the problem now. +1 for 3-3-1 .
Comment 17 Kohei Yoshida 2011-02-16 06:13:28 UTC
*** Bug 34329 has been marked as a duplicate of this bug. ***